Skip to main content
PUT
/
order
/
modify_status
Order - Modify Status
curl --request PUT \
  --url https://api.skulabs.com/order/modify_status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "store_id": "507f1f77bcf86cd799439011",
  "order_number": "<string>",
  "status": "unstarted",
  "refresh_cache": true,
  "status_date": "2025-01-15T12:00:00.000Z",
  "force": true,
  "order": {}
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
store_id
string
required

Store ID

Example:

"507f1f77bcf86cd799439011"

order_number
string
required

Order number

status
enum<string>
required

New status value

Available options:
unstarted,
in_progress,
shipped,
cancelled,
cleared,
delayed,
stopped,
partially shipped,
archived,
awaiting fulfillment,
pending,
partially cleared
refresh_cache
boolean

Refresh cache after update

status_date
string

Date to set for the status change

Example:

"2025-01-15T12:00:00.000Z"

force
boolean

Force the status change

order
object

Order reference object

Response

Status updated

success
boolean
required

Whether the operation succeeded